# Render subscription template

## GET /public/v1/commerce/subscriptions/{id}/render

> Renders a subscription template.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5202-gabed2ddc"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/commerce/subscriptions/{id}/render":{"get":{"tags":["Subscriptions"],"summary":"Renders a subscription template.","parameters":[{"name":"id","in":"path","description":"Subscription id","required":true,"schema":{"type":"string"}},{"name":"language","in":"query","description":"Template language code","schema":{"type":"string"}},{"name":"template.id","in":"query","description":"Template id","schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"Preferred language header","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
